CREATE TABLE cml_toreceipt_charge_estimates (
    TORECEIPT_CHARGE_ESTIMATE_ID     NUMBER(18, 0) ,
    CMR_RCV_TRANSACTION_ID           NUMBER(18, 0)     NOT NULL,
    TRADE_OPERATION_ID               NUMBER(18, 0)     NOT NULL,
    TROP_CHARGE_LINE_ID              NUMBER(18, 0)     NOT NULL,
    CHARGE_LINE_NUMBER               NUMBER(9, 0)      NOT NULL,
    REQ_BU_ID                        NUMBER(18, 0)     NOT NULL,
    SHIPMENT_LINE_ID                 NUMBER(18, 0)     NOT NULL,
    CHARGE_ID                        NUMBER(18, 0)     NOT NULL,
    UNIT_AMOUNT                      NUMBER            NOT NULL,
    UNIT_TAX                         NUMBER            NOT NULL,
    SOURCE_DOC_UOM_CODE              VARCHAR2(12)      NOT NULL,
    CURRENCY_CODE                    VARCHAR2(60)      NOT NULL,
    EFFECTIVE_DATE                   TIMESTAMP(6)      NOT NULL,
    SHIP_TO_ORGANIZATION_ID          NUMBER(18, 0) ,
    ACCRUAL_OPTION                   VARCHAR2(120)     NOT NULL,
    CMR_SRV_PO_LINE_LOCATION_ID      NUMBER(18, 0) ,
    ACTIVE_FLAG                      VARCHAR2(4)       NOT NULL,
    PROCESSED_BY_CA_FLAG             VARCHAR2(20)  ,
    PROCESSED_BY_RA_FLAG             VARCHAR2(20)  ,
    PRIMARY_UOM_CONV_FACTOR          NUMBER        ,
    CURRENCY_CONVERSION_TYPE         VARCHAR2(120) ,
    CURRENCY_CONVERSION_DATE         DATE          ,
    CURRENCY_CONVERSION_RATE         NUMBER        ,
    PREPROCESS_STATUS                VARCHAR2(120) ,
    MAT_REQ_BU_FUNC_CURRENCY_CODE    VARCHAR2(60)  ,
    BILL_TO_BUSINESS_UNIT_ID         NUMBER(18, 0) ,
    INTERCOMPANY_BILL_TO_BU_ID       NUMBER(18, 0) ,
    INTERCOMPANY_PROCESSED_FLAG      VARCHAR2(4)   ,
    RO_POSTED_FLAG                   VARCHAR2(4)   ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    INVENTORY_ITEM_ID                NUMBER(18, 0) ,
    TORECEIPT_CHARGE_ESTIMATE_ID     NUMBER(18, 0) ,
    CMR_RCV_TRANSACTION_ID           NUMBER(18, 0)     NOT NULL,
    TRADE_OPERATION_ID               NUMBER(18, 0)     NOT NULL,
    TROP_CHARGE_LINE_ID              NUMBER(18, 0)     NOT NULL,
    CHARGE_LINE_NUMBER               NUMBER(9, 0)      NOT NULL,
    REQ_BU_ID                        NUMBER(18, 0)     NOT NULL,
    SHIPMENT_LINE_ID                 NUMBER(18, 0)     NOT NULL,
    CHARGE_ID                        NUMBER(18, 0)     NOT NULL,
    UNIT_AMOUNT                      NUMBER            NOT NULL,
    UNIT_TAX                         NUMBER            NOT NULL,
    SOURCE_DOC_UOM_CODE              VARCHAR2(12)      NOT NULL,
    CURRENCY_CODE                    VARCHAR2(60)      NOT NULL,
    EFFECTIVE_DATE                   TIMESTAMP(6)      NOT NULL,
    SHIP_TO_ORGANIZATION_ID          NUMBER(18, 0) ,
    ACCRUAL_OPTION                   VARCHAR2(120)     NOT NULL,
    CMR_SRV_PO_LINE_LOCATION_ID      NUMBER(18, 0) ,
    ACTIVE_FLAG                      VARCHAR2(4)       NOT NULL,
    PROCESSED_BY_CA_FLAG             VARCHAR2(20)  ,
    PROCESSED_BY_RA_FLAG             VARCHAR2(20)  ,
    PRIMARY_UOM_CONV_FACTOR          NUMBER        ,
    CURRENCY_CONVERSION_TYPE         VARCHAR2(120) ,
    CURRENCY_CONVERSION_DATE         DATE          ,
    CURRENCY_CONVERSION_RATE         NUMBER        ,
    PREPROCESS_STATUS                VARCHAR2(120) ,
    MAT_REQ_BU_FUNC_CURRENCY_CODE    VARCHAR2(60)  ,
    BILL_TO_BUSINESS_UNIT_ID         NUMBER(18, 0) ,
    INTERCOMPANY_BILL_TO_BU_ID       NUMBER(18, 0) ,
    INTERCOMPANY_PROCESSED_FLAG      VARCHAR2(4)   ,
    RO_POSTED_FLAG                   VARCHAR2(4)   ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    INVENTORY_ITEM_ID                NUMBER(18, 0) ,
    CONSTRAINT pk_cml_toreceipt_charge_estimates PRIMARY KEY (TORECEIPT_CHARGE_ESTIMATE_ID, TORECEIPT_CHARGE_ESTIMATE_ID)
);
